<?PHP
if (!defined('beerman')) { exit(); }
$iduser = $id_user;
mysql_query("UPDATE `seo_tasks` SET `nblock` = `0` WHERE `inblock` < '".time()."'");
if(isset($_GET["up"])){
$up=intval($_GET["up"]);
mysql_query("UPDATE seo_tasks SET inblock='".time()."'+172800,balance=balance-3 WHERE id='$up' AND fromid='$iduser' and modered=1 and balance>3 and paused=0 and inblock=0") or die(mysql_error());
}

if(isset($_GET["per"])){
$per=intval($_GET["per"]);
mysql_query("UPDATE `seo_tasks` SET `up_task`='".time()."',`balance`=balance-1 WHERE `id`='$per' AND `fromid`='$iduser' AND `modered`='1' AND `balance`>1 AND `paused`='0' AND up_task+3600<'".time()."'") or die(mysql_error());
}

if(isset($_GET["din"])){
$din=intval($_GET["din"]);
$zad = mysql_result(mysql_query("SELECT `name` FROM `seo_tasks` WHERE id='$din'"),0);
mysql_query("UPDATE `seo_tasks` SET `din`='1' WHERE `id`='$din' AND `fromid`='$iduser' AND `modered`='1' AND `balance`>=25 AND `din`='0'") or die(mysql_error());
mysql_query("INSERT INTO `tb_ads` (`url`, `description`, `timer`, `obper`, `texto`, `balance`, `paused`, `top_link`, `price`, `fromus`, `payforad`, `active`, `modered`) values ('http://wmrush.ru/tasks.php?view=$din','$zad','0','0','Просмотр задания № $din','2','0','0','0.01','2','0.01','0','1')") or die(mysql_error());
}

if(isset($_GET["din_money"])){
$din_money=intval($_GET["din_money"]);
$zad = mysql_result(mysql_query("SELECT `name` FROM `seo_tasks` WHERE id='$din_money'"),0);
mysql_query("UPDATE `seo_tasks` SET `balance`=`balance`-'2.2', `din`='1' WHERE `id`='$din_money' AND `fromid`='$iduser' AND `modered`='1' AND `din`='1' AND `balance`>=3") or die(mysql_error());
mysql_query("INSERT INTO `tb_ads` (`url`, `description`, `timer`, `obper`, `texto`, `balance`, `paused`, `top_link`, `price`, `fromus`, `payforad`, `active`, `modered`) values ('http://wmrush.ru/tasks.php?view=$din_money','$zad','0','0','Просмотр задания № $din_money','2','0','0','0.01','2','0.01','0','1')") or die(mysql_error());
}

if(isset($_GET["view"])){
	$ident = intval($_GET["ident"]);
	if($_GET["view"]=='goods'){
	
		$sql=mysql_query("SELECT * FROM seo_taskstats WHERE status='1' and ident='$ident' and ident IN(SELECT id FROM seo_tasks WHERE fromid='$iduser')") or die(mysql_error());
		if(mysql_num_rows($sql)==0){
		echo "<span class=orangenote>Пусто!</span>";
		include('footer.php'); exit;
		}
		?>
		 <h2>Пользователи, которым были подтверждены и оплачены выполнения</h2>
		 <h2><a href='/advmanager.php?adv=task' title='Вернуться к списку заданий'>&larr; Назад к заданиям</a></h2>
		 <table class='history' width='100%' border='0' cellpadding='0' cellspacing='0'>
		 <thead>
		 <tr>
		 <th align='center' nowrap='nowrap'>Время отчёта</th>
		 <th align='center' nowrap='nowrap'>Исполнитель</th>
		 <th align='center' width='80%' nowrap='nowrap'>Отчёт исполнителя</th>
		 </tr>
		 </thead>
		 <tbody>
		 <? while($row=mysql_fetch_assoc($sql)){
		 ?>
		 <tr><td nowrap='nowrap'><?=date("d.m.Y H:i", $row["anstime"]); ?></td>
		 <td class='leftvalue' nowrap='nowrap'>ID: <a style='text-decoration:none; color:green; border-bottom: none' href='/users-<?=$row["fromid"]; ?>-wall.html' target='_blank' title='Перейти на стену'><b><?=$row["fromid"]; ?></b></a></td><td>
		 <?=$row["answer"] ?>
		 </td></tr>
		 <?
		 }
		 ?> </tbody></table>
		 <?
		 include('footer.php'); exit();
	}
	if($_GET["view"]=='no')
	{
			$sql=mysql_query("SELECT * FROM seo_taskstats WHERE status='2' and ident='$ident' and ident IN(SELECT id FROM seo_tasks WHERE fromid='$iduser')") or die(mysql_error());
		if(mysql_num_rows($sql)==0)
		{
		echo "<span class=orangenote>Пусто!</span>";
		include('footer.php'); exit;
		}
		?>
		 <h2>Пользователи, которым были отклонены выполнения</h2>
		 <h2><a href='/advmanager.php?adv=task' title='Вернуться к списку заданий'>&larr; Назад к заданиям</a></h2>
		 <table class='history' width='100%' border='0' cellpadding='0' cellspacing='0'>
		 <thead>
		 <tr>
		 <th align='center' nowrap='nowrap'>Время отчёта</th>
		 <th align='center' nowrap='nowrap'>Исполнитель</th>
		 <th align='center' width='80%' nowrap='nowrap'>Отчёт исполнителя</th>
		 </tr>
		 </thead>
		 <tbody>
		 <? while($row=mysql_fetch_assoc($sql)) { ?>
		 <tr><td nowrap='nowrap'><?=date("d.m.Y H:i", $row["anstime"]); ?></td>
		 <td class='leftvalue' nowrap='nowrap'>ID: <b><?=$row["fromid"]; ?></b></td><td>
		 <?=$row["answer"] ?>
		 </td></tr>
		 <?
		 }
		 ?> </tbody></table>
		 <?
		 include('footer.php'); exit;
	}
		if($_GET["view"]=='works'){
			$sql=mysql_query("SELECT * FROM seo_taskstats WHERE status='3' and ident='$ident' and ident IN(SELECT id FROM seo_tasks WHERE fromid='$iduser')") or die(mysql_error());
		if(mysql_num_rows($sql)==0){
		echo "<span class=orangenote>Пусто!</span>";
		include('footer.php'); exit;
		}
		?>
		 <h2>Пользователи, которые начали выполнять задание</h2>
		 <h2><a href='/advmanager.php?adv=task' title='Вернуться к списку заданий'>&larr; Назад к заданиям</a></h2>
		 <table class='history' width='100%' border='0' cellpadding='0' cellspacing='0'>
		 <thead>
		 <tr>
		 <th align='center' nowrap='nowrap'>Время отчёта</th>
		 <th align='center' nowrap='nowrap'>Исполнитель</th>
		 <th align='center' nowrap='nowrap'>Дата окончания</th>		 
		 </tr>
		 </thead>
		 <tbody>
		 <? while($row=mysql_fetch_assoc($sql)){
		 ?>
		 <tr><td nowrap='nowrap'><?=date("d.m.Y H:i", $row["starttime"]); ?></td>
		 <td class='leftvalue' nowrap='nowrap'>ID: <a style='border-bottom: none' href='/users-<?=$row["fromid"]; ?>-wall.html' target='_blank' title='Перейти на стену'><b><?=$row["fromid"]; ?></b></a>
		 
		 <? if($row["status"]==3) echo " - Задание выполняется"; ?></td><td>
		 <?=date("d.m.Y H:i", $row["starttime"] + mysql_result(mysql_query("SELECT maxtime FROM seo_tasks WHERE id='$ident'"),0)); ?>
		 </td></tr>
		 <?
		 }
		 ?> </tbody></table>
		 <?
		 include('footer.php'); exit();
	}
if($_GET["view"]=='waits'){
?>
<script type="text/javascript" language="JavaScript">
            function hideserfaddblock(bname) {
                if (document.getElementById(bname).style.display == 'none') {
                    document.getElementById(bname).style.display = '';
                } else {
                    document.getElementById(bname).style.display = 'none';
                }
                return false;
            }
			            function dorabot(dnum) {
                document.getElementById('btns'+dnum).style.display = 'none';
                document.getElementById('dor'+dnum).style.display = '';
                return false;
            }
            function delblockactivate(dnum) {
                document.getElementById('btns'+dnum).style.display = 'none';
                document.getElementById('delcomment'+dnum).style.display = '';
                return false;
            }
            function delformsubmit(dnum) {
                if (document.forms['delform']['commenttext'+dnum].value == '') {
                    alert('Вы не указали причину отказа');
                } else {
                    document.forms['delform'].delid.value = dnum;
                    document.forms['delform'].submit();
                }
                return false;
            }
            function confirmdelete(idadv)
            {
                if (confirm("Вы уверены что хотите удалить задание №" + idadv + "?"))
                { top.location = '/advmanager.php?adv=task&view=waits&ident=<?=$_GET["ident"]; ?>&delstat='+idadv; }
                return false;
            }
            function alertbudget()
            {
                alert("Пополните рекламный бюджет");
                return false;
            }
            function alertnochange()
            {
                alert("Задание можно редактировать только раз в 12 часов");
                return false;
            }
        </script>	
    <?
		$ident = intval($_GET["ident"]);

		$sql=mysql_query("SELECT * FROM seo_tasks WHERE fromid='$iduser' and id='$ident'") or die(mysql_error());
if(mysql_num_rows($sql)==0){
	echo "<span class='orangenote'>У вас ещё нет своих оплачиваемых заданий!</span><center><a href='/addtask.html' class='button-green'>Разместить задание</a></center> ";
	include('footer.php');
	exit;
}
$row=mysql_fetch_assoc($sql);
	 $taskbal=$row["price"]*5/6;
	 $orbal=$row["price"];
	 	 $row["balance"] = round($row["balance"],3);
?>
<?
	if(isset($_GET["gowork"])){
	$gowork = intval($_GET["gowork"]);
	$dorab = check_text($_POST["dorab"]);
	mysql_query("UPDATE seo_taskstats SET status='3',`dorab`='$dorab' WHERE id='$gowork' and ident='$ident' and ident IN(SELECT id FROM seo_tasks WHERE fromid='$iduser')") or die(mysql_error());
	mysql_query("UPDATE seo_tasks set works=works+1,waits=waits-1 where id='$ident' and fromid='$iduser'");

 ///отправка письма
 $chks=mysql_query("SELECT fromid FROM seo_taskstats WHERE id='$gowork' and ident IN(SELECT id FROM seo_tasks where fromid='$iduser')") or die(mysql_error());
 $baduss=mysql_result($chks,0);
 $sd = mysql_query("SELECT * FROM `b_users` WHERE `id`='$baduss'");
 $rssd = mysql_fetch_assoc($sd);
 mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`read`) VALUES ('Доработать задание № $ident','2','Sustem','$baduss','".$rssd["username"]."','".time()."','5')") or die(mysql_error());
 $identt = mysql_result(mysql_query("SELECT `id` FROM `b_mails` ORDER BY `id` DESC LIMIT 1"),0);
 mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`ident`) VALUES ('<b>$dorab</b><br /><br /><i>Для того, что бы доработать задание перейдите <a href=/tasks.php?view=$ident>по ссылке</a></i>','2','Sustem','$baduss','".$rssd["username"]."','".time()."','$identt')") or die(mysql_error());
 ///отправка письма
}
    if(isset($_GET["delstat"])){
	$delstat = intval($_GET["delstat"]);
	$reason = check_text($_POST["reason"]);
	$chk=mysql_query("SELECT fromid FROM seo_taskstats WHERE id='$delstat' and ident IN(SELECT id FROM seo_tasks where fromid='$iduser')") or die(mysql_error());
	if(mysql_num_rows($chk)!=0){
	$badus=mysql_result($chk,0);
	mysql_query("UPDATE `seo_taskstats` SET `status`='2',`reason`='$reason' WHERE `id`='$delstat' AND `ident`='$ident' AND `ident` IN(SELECT `id` FROM `seo_tasks` WHERE `fromid`='$iduser')") or die(mysql_error());
	mysql_query("UPDATE `b_users` SET `taskreyt`=`taskreyt`-'1', `reyting`=`reyting`-'$b_bad_task' WHERE `id`='$badus'");
	mysql_query("UPDATE `seo_tasks` SET `waits`=`waits`-'1',`no`=`no`+'1' where `id`='$ident' AND `fromid`='$iduser'");
 ///отправка письма
 $sd = mysql_query("SELECT * FROM `b_users` WHERE `id`='$badus'");
 $rssd = mysql_fetch_assoc($sd);
 mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`read`) VALUES ('Отказ в выполнении задания № $ident','2','Sustem','$badus','".$rssd["username"]."','".time()."','5')") or die(mysql_error());
 $identt = mysql_result(mysql_query("SELECT `id` FROM `b_mails` ORDER BY `id` DESC LIMIT 1"),0);
 mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`ident`) VALUES ('<b>$reason</b><br /><br /><i>Причина отказа указана выше</i>','2','Sustem','$badus','".$rssd["username"]."','".time()."','$identt')") or die(mysql_error());
 ///отправка письма
	}else{
	echo "<span class='msgbox-error'>Ошибка!</span>";
	}
}
if(isset($_GET["pay"])){
	$pay = intval($_GET["pay"]);
	
  $chk=mysql_query("SELECT fromid FROM seo_taskstats WHERE id='$pay' and status=0 and ident IN(SELECT id FROM seo_tasks where fromid='$iduser')") or die(mysql_error());
  	if(mysql_num_rows($chk)!=0){
	$badus=mysql_result($chk,0);
///Рефбэк и отчисления
$r_sql = mysql_query("SELECT `referer` FROM `b_users` WHERE `id` = '$badus'") or die(mysql_error());
if(mysql_num_rows($r_sql) > 0){
$ref_task = mysql_result($r_sql,0,0);
$ref_reyt = mysql_result(mysql_query("SELECT `reyting` FROM `b_users` WHERE `id`='$ref_task'"),0,0);
$pl_r_r1 = user_status($ref_reyt,4);
$r_task_bal = $taskbal*$pl_r_r1/100;
mysql_query("UPDATE `b_users` SET `money`=`money`+'$r_task_bal' WHERE `id`='$ref_task'");
}
///Рефбэк и отчисления
mysql_query("UPDATE `b_users` SET `taskreyt`=`taskreyt`+'1', `money`=`money`+'$taskbal',`toref`=`toref`+'$r_task_bal', `reyting`=`reyting`+'$b_task' WHERE `id`='$badus'");	
mysql_query("UPDATE `seo_taskstats` set `status`='1', `anstime`='".time()."' where `id`='$pay' and ident IN(SELECT `id` FROM `seo_tasks` where `fromid`='$iduser')");
mysql_query("UPDATE `seo_tasks` set `waits`=`waits`-'1', `goods`=`goods`+'1', `balance`=`balance`-'$orbal' where `id`='$ident' and `fromid`='$iduser'");
mysql_query("UPDATE `seo_tasks` SET `paused`='1' WHERE `balance`<`price` AND `paused`='0'");
///Отправка письма о выполнении
$ssd = mysql_query("SELECT * FROM `b_users` WHERE `id`='$badus'");
$ressd = mysql_fetch_assoc($ssd);
mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`read`) VALUES ('Выполнение задания № $ident','2','Sustem','$badus','".$ressd["username"]."','".time()."','5')") or die(mysql_error());
$idente = mysql_result(mysql_query("SELECT `id` FROM `b_mails` ORDER BY `id` DESC LIMIT 1"),0);
mysql_query("INSERT INTO `b_mails` (`text`,`fromid`,`fromus`,`toid`,`tous`,`timemessage`,`ident`) VALUES ('Поздравляем, ваше задание <a href=/tasks.php?view=$ident>№ $ident</a> одобрено рекламодателем. Вам начислено $taskbal руб.','2','Sustem','$badus','".$ressd["username"]."','".time()."','$idente')") or die(mysql_error());
///Отправка письма о выполнении

#конкурс от реферера
$sql_cr = mysql_query("SELECT `id` FROM `b_ref_comp` WHERE `status`='1' AND `id_user`='$iduser' AND `start_comp`<='".time()."' AND `type`='3'") or die(mysql_error());
if(mysql_num_rows($sql_cr) > 0){
$row_cr = mysql_fetch_assoc($sql_cr);
mysql_query("INSERT INTO `b_ref_comp_data` SET `id_comp`='".$row_cr["id"]."', `id_user`='$badus', `count`=`count`+'1', `time`='".time()."'") or die(mysql_error());
}
#конкурс от реферера
#общий конкурс от реферера
$sql_cr = mysql_query("SELECT `id` FROM `b_ref_comp` WHERE `status`='1' AND `id_user`='$iduser' AND `start_comp`<='".time()."' AND `type`='4'") or die(mysql_error());
if(mysql_num_rows($sql_cr) > 0){
$row_cr = mysql_fetch_assoc($sql_cr);
mysql_query("INSERT INTO `b_ref_comp_data` SET `id_comp`='".$row_cr["id"]."', `id_user`='$badus', `count`='3', `time`='".time()."' ON DUPLICATE KEY UPDATE `count`=`count`+'3'") or die(mysql_error());
}
#общий конкурс от реферера
$varstr = date("w");
$day = NULL;
if($varstr==1) $day='mon';
if($varstr==2) $day='tue';
if($varstr==3) $day='wed';
if($varstr==4) $day='thu';
if($varstr==5) $day='fri';
if($varstr==6) $day='sat';
if($varstr==0) $day='sun';
mysql_query("UPDATE `b_statistic` SET `total`=`total`+'1', ".$day."=".$day."+'1' WHERE `user_id`='$badus' AND `typ`='1'");
	}else{
	echo "<span class='msgbox-error'>Вы уже подтверждали эту заявку</span>";
	}
}

		$sql=mysql_query("SELECT * FROM seo_taskstats WHERE status='0' and ident='$ident' and ident IN(SELECT id FROM seo_tasks WHERE fromid='$iduser')") or die(mysql_error());
		if(mysql_num_rows($sql)==0){
		echo "<span class=orangenote>Пусто!</span>";
		include('footer.php'); exit;
		}
			echo "<table class='job-note' width='100%' border='0' cellpadding='0' cellspacing='0'>";
		while($row=mysql_fetch_assoc($sql)){
		$res=mysql_fetch_assoc(mysql_query("SELECT username,avatar,taskreyt FROM b_users WHERE id='".$row["fromid"]."'"));
		?>
		<tr>
		<td style='padding: 5px; text-align: center;' rowspan='2'>
		<a style='border-bottom: none' href='/users-<?=$row["fromid"]; ?>-wall.html' target='_blank' title='Перейти на стену'>
		<img class='avatar' src='/avp/<?=$res["avatar"]; ?>' border='0' width='60' height='60' alt='avatar' />
		</a>
		<br />
<a class='reputation2'>
<?=$res["taskreyt"]; ?>
</a>
		
		</td><td align='left' width='90%' style='border: none;'>
		<b>Исполнитель: <a style='border-bottom: none' href='/users-<?=$row["fromid"]; ?>-wall.html' target='_blank' title='Перейти на стену'></b><?=$res["username"]; ?></a><br />
		<b>Начало выполнения:</b> <?=date("d.m.Y H:i", $row["starttime"]); ?><br />
		<b>Дата отчёта:</b> <?=date("d.m.Y H:i", $row["anstime"]); ?><br />
		<span class='desctext'>До автоматического одобрения осталось 
<?
$proshlo = time()-$row["anstime"];
$all = "240";
$proshlo = intval($proshlo/3600);
$ost = $all-$proshlo;
if($ost<1) echo "менее 1";
if($ost>=1) echo $ost;
?>
		часов</span><span class='job-reply'><?=$row["answer"]; ?></span></td></tr>
		<tr><td align='right'><div id='btns<?=$row["id"]; ?>'>
		<a href='javascript:void(0);' class='button-green' onclick='dorabot(<?=$row["id"]; ?>);'>Отправить на доработку</a>
		<a href='javascript:void(0);' class='button-green1' onclick='delblockactivate(<?=$row["id"]; ?>);'>Отклонить</a>
		<a href='/advmanager.php?adv=task&view=waits&ident=<?=$_GET["ident"] ?>&pay=<?=$row["id"]; ?>' class='button-green2'>Принять</a></div>
		<div id='dor<?=$row["id"]; ?>' style='display: none;'>
		<form action='advmanager.php?adv=task&view=waits&gowork=<?=$row["id"] ?>&ident=<?=$_GET["ident"] ?>' method='post'>
		Что доработать: <input type='text' name='dorab' maxlength='80' value='' style='width: 250px;' />
		<input type='submit' class='button-green' style="height:26px;" name='submitall' value='Доработать' />
		</form>
		</div>
		<div id='delcomment<?=$row["id"]; ?>' style='display: none;'>
		<form action='advmanager.php?adv=task&view=waits&delstat=<?=$row["id"] ?>&ident=<?=$_GET["ident"] ?>' method='post'>
		Причина отказа: <input type='text' name='reason' maxlength='80' value='' style='width: 250px;' />
		<input type='submit' class='button-green' style="height:26px;" name='submitall' value='Отклонить' />
		</form>
		</div></td></tr>
	<?
	}
	echo "</table>";
	include('footer.php'); exit();
}
}
?>
<script type="text/javascript" language="JavaScript">
            function hideserfaddblock(bname) {
                if (document.getElementById(bname).style.display == 'none') {
                    document.getElementById(bname).style.display = '';
                } else {
                    document.getElementById(bname).style.display = 'none';
                }
                return false;
            }
            function dorabot(dnum) {
                document.getElementById('btns'+dnum).style.display = 'none';
                document.getElementById('dor'+dnum).style.display = '';
                return false;
            }
            function delblockactivate(dnum) {
                document.getElementById('btns'+dnum).style.display = 'none';
                document.getElementById('delcomment'+dnum).style.display = '';
                return false;
            }
            function delformsubmit(dnum) {
                if (document.forms['delform']['commenttext'+dnum].value == '') {
                    alert('Вы не указали причину отказа');
                } else {
                    document.forms['delform'].delid.value = dnum;
                    document.forms['delform'].submit();
                }
                return false;
            }
            function confirmdelete(idadv)
            {
                if (confirm("Вы уверены что хотите удалить задание №" + idadv + "?"))
                { top.location = '/advmanager.php?adv=task&del='+idadv; }
                return false;
            }
            function alertbudget()
            {
                alert("Пополните рекламный бюджет");
                return false;
            }
            function alertnochange()
            {
                alert("Задание можно редактировать только раз в 12 часов");
                return false;
            }
        </script>	
<?PHP
$iduser = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

$sql = mysql_query("SELECT * FROM `seo_tasks` WHERE `fromid`='$iduser'") or die(mysql_error());
if(mysql_num_rows($sql) == 0){
	echo "<span class='orangenote'>У вас ещё нет своих заданий!</span><center><a href='/adddyn.html' class='button-green'>Разместить ссылкку</a></center> ";
	include('footer.php');
	exit;
}
	 while($row=mysql_fetch_assoc($sql)){
	 $row["balance"] = round($row["balance"],3);
	 ?>
<table id="id_clr_<?=$row["id"] ?>" class='profile1' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
	 <tr>
	 <td width='7%'>
	 <?
	 if($row["paused"]==1 and $row["modered"]==0) { $st_mod = "moder"; $tt="Ожидает модерации"; $pt="<span class=desctext>Ссылка<br>на<br>проверке</span>";
	 }elseif($row["paused"]==1 and $row["modered"]==2) { $st_mod = "block"; $tt="Ссылка заблокирована!"; $pt="<span class=desctext>Заблокирована<br>администрацией</span>";
	 }elseif($row["paused"]==0 and $row["modered"]==2) { $st_mod = "block"; $tt="Ссылка заблокирована!";$pt="<span class=desctext>Заблокирована<br>администрацией</span>";
	 }elseif($row["paused"]==0 and $row["modered"]==1) { $st_mod = "pause"; $tt="Приостановить ссылкy";
	 }elseif($row["paused"]==1 and $row["modered"]==1) { $st_mod = "play"; $tt="Запустить показ ссылки";
	 } ?>
	 <a id="st_pa_<?=$row["id"] ?>" class='serfcontrol-<?=$st_mod ?>' title='<?=$tt ?>' <? if($row["balance"]<$row["price"]) { ?>onclick='javascript:alertbudget();'<? }else{ if($row["modered"]==1) { ?>onclick="paused(<?=$row["id"] ?>,'3');"<? } } ?>></a>
	 </td>
	 <td width='78%'>
	 <a href='/tasks.php?view=<?=$row["id"]; ?>' target='_blank'><?=$row["name"] ?><br />
	 <span class='serfinfotext'>№ <?=$row["id"] ?>&nbsp;&nbsp;
	 Цена задания: <?=$row["price"] ?> <?=$sitevalname ?>&nbsp;&nbsp;
	 Вознаграждение: <?=round($row["price"]*5/6,2); ?> <?=$sitevalname ?>&nbsp;&nbsp;
	
	</span><br>
	<? if($row["modered"]==2){
	echo "<small><font color=red>Причина отклонения: ".$row["reas"]."</font></small>";
	}else{ ?>
	<a class="workstatus-yes" href="/advmanager.php?adv=task&view=goods&ident=<?=$row["id"]; ?>" title="Всего одобрено"><?=$row["goods"];  ?>
	</a>
	<a class="workstatus-wait" href="/advmanager.php?view=works&adv=task&ident=<?=$row["id"]; ?>" title="Сейчас выполняются">
	<?=$row["works"]; ?></a>
	<a class="workstatus-no" href="/advmanager.php?adv=task&view=no&ident=<?=$row["id"]; ?>" title="Всего отклонено"><?=$row["no"]; ?></a>
	<?if($row["waits"]==0){
	?>
	<a class="workstatus-no1" title="Выполнений нет">0</a>
	<?
	}else{
	?>
	<a class="workstatus-no1" href="/advmanager.php?adv=task&view=waits&ident=<?=$row["id"]; ?>" title="Проверьте выполнения">+ <?=$row["waits"] ?></a>
	<?
	}
	}
if($row["waits"]==0 and $row["works"]==0){?>
  <a class='scon-delete' href='javascript:void(0);' title='Удалить ссылку' onclick=deletes(<?=$row["id"] ?>,'3');></a>
	 <?
	 }
	 ?>
 <a class='scon-edit' href='/advertise.php?adv=task&edit=<?=$row["id"] ?>' title='Редактировать ссылку'></a>
	 <?
	 if($row["balance"]==0 and $row["inblock"]==0){
	 ?><span class="scon-gray" title="Размещение задания в дополнительном блоке - недоступно"></span>
	 <?
	 }
	 if($row["balance"]>3 and $row["inblock"]!=0){
	 ?><span class="scon-down" title="Задание размещено в дополнительном блоке до <?=date("d.m.y H:i", $row["inblock"]+172800); ?>" ></span>
	<?
	}
	if($row["balance"] > 3 and $row["inblock"]==0){
	?><span class="scon-up" title="Разместить задание в дополнительном блоке" onclick="javascript:hideserfaddblock('taskup<?=$row["id"]; ?>');"></span>
	<?
	}
	if($row["inblock"]!=0 and time()-$row["inblock"]>172800) mysql_query("UPDATE seo_tasks set inblock=0 where id='".$row["id"]."'");
	
	if($row["comms"]>0){
	?>
	<a class="scon-comment" href="/tasks.php?feed=<?=$row["id"]; ?>" title="Прочитать отзывы о задании"></a>
	 <? } ?>
	 <?
	 if($row["balance"]==0){
	 ?><span class="scon-nel" title="Подъём задания не доступен"></span>
	 <?
	 }
	 if($row["balance"]>1 and $row["up_task"]+3600>time()){
	 ?><span class="scon-nel" title="Задание можно поднимать один раз в час." ></span>
	<?
	}
	if($row["balance"]>1 and $row["up_task"]+3600<time()){
	?><span class="scon-moz" title="Поднять задание" onclick="javascript:hideserfaddblock('taskper<?=$row["id"]; ?>');"></span>
	<?
	}
	?>
	 <?
	 if($row["balance"]<25 and $row["din"]==0){
	 ?><span class="scon-nel1" title="Ваш баланс менее 25 руб." ></span>
	<?
	}
	 if($row["balance"]>=3 and $row["din"]==1){
	 ?><span class="scon-nel1" title="Разместить 200 показов за 2.2 руб." onclick="javascript:hideserfaddblock('taskdin_money<?=$row["id"]; ?>');"></span>
	<?
	}
	if($row["balance"]>=25 and $row["din"]==0){
	?><span class="scon-moz1" title="Получить 200 бесплатных просмотров" onclick="javascript:hideserfaddblock('taskdin<?=$row["id"]; ?>');"></span>
	<?
	}
	?>
	<a class='scon-transfer' href='javascript:void(0);' title='Перевести баланс' onclick="hideserfaddblock('transfer-<?=$row["id"]?>');"></a></td>
	 <td class='budget'>
	 <? if($row["modered"] == 1) { if($row["balance"] <= 0) { 
	 $clss = "none"; $popol = "Пополнить";
	 }else{
	 $clss = NULL; $popol = $row["balance"];
	 }
	 echo "<a class='add-budget$clss' href='javascript:void(0);' title='Пополнить рекламный бюджет' onclick=\"hideserfaddblock('serfadd".$row["id"]."');\">";
	 echo "<span style='font-size: 11px;' id='summ-pl-".$row["id"]."'>$popol</span></a>";
	 }else{ echo "<span style='font-size:11px;'>$pt</span>"; } ?></td></tr>
	 <tr id='serfadd<?=$row["id"] ?>' style='display: none;'>
	 <td class='ext' colspan='3' style='padding: 1px 5px;text-align:right;'><br />
   <input type="text" id="add_summ_<?=$row["id"] ?>" maxlength="5">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button class='button-flat-green1' onclick="add_summ('<?=$row["id"] ?>','3');">Пополнить</button>
	</td></tr>
	
	<tr id="taskper<?=$row["id"]; ?>" style="display: none;">
	<td class="ext-viptask" colspan="3" style="text-align: center; padding: 2px 10px;"><span class="task-subtitle">Задание будет поднято в списке до первого.<br>Стоимость услуги составляет 1 <?=$sitevalname ?></span>
	<a class='button-green2' href="/advmanager.php?adv=task&per=<?=$row["id"]; ?>">Поднять задание в списке</a>
	</td></tr>
	
	<tr id="taskdin<?=$row["id"]; ?>" style="display: none;">
	<td class="ext-viptask" colspan="3" style="text-align: center; padding: 2px 10px;"><span class="task-subtitle">Вы можете бесплатно получить 200 просмотров своего задания в сёрфинге<br>Стоимость услуги составляет 0 <?=$sitevalname ?></span>
	<a class='button-green2' href="/advmanager.php?adv=task&din=<?=$row["id"]; ?>">Получить 200 просмотров</a>
	</td></tr>
	
	<tr id="taskdin_money<?=$row["id"]; ?>" style="display: none;">
	<td class="ext-viptask" colspan="3" style="text-align: center; padding: 2px 10px;"><span class="task-subtitle">Вы можете получить 200 просмотров своего задания в сёрфинге.<br>Стоимость услуги составляет 2.2 <?=$sitevalname ?></span>
	<a class='button-green2' href="/advmanager.php?adv=task&din_money=<?=$row["id"]; ?>">Получить 200 просмотров</a>
	</td></tr>
	
	<tr id="taskup<?=$row["id"]; ?>" style="display: none;">
	<td class="ext-viptask" colspan="3" style="text-align: center; padding: 2px 10px;"><span class="task-subtitle">Задание будет размещено в ротаторе блока «VIP задания» сроком на 48 часов.<br>Стоимость размещения составляет 3 <?=$sitevalname ?></span>
	<a class='button-green2' href="/advmanager.php?adv=task&up=<?=$row["id"]; ?>">Разместить задание в блоке «VIP задания»</a>
	</td></tr>
		 <tr id="transfer-<?=$row["id"] ?>" style='display: none;'>
	 <td class='ext' colspan='3' style='padding: 1px 5px;text-align:right;'>
	 <span class="task-subtitle"><center>Чтобы перевести деньги нужно приостановить площадку</center></span>
	 <div style='float:right;'><button class='button-flat-green1' onclick="tranfer_summ('<?=$row["id"] ?>','3');" style='margin-top:1px;'>Перевести</button></div>
	 <div style='float:right;margin-left:5px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Сумма: <input type='text' style="width:40px; padding:2px;" id='trans-id-sm-<?=$row["id"] ?>' value='<?=$row["balance"]?>' maxlength="5">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</div>
	 <div style='float:right;'><select id='trans-id-pl-<?=$row["id"] ?>' style='width:240px; padding:2px;'>
<?PHP
$d_sql = mysql_query("SELECT `id` FROM `tb_ads` WHERE `fromus`='$iduser'") or die(mysql_error());
if(mysql_num_rows($d_sql) > 0){
echo "<option disabled='disabled'>Динамические ссылки</option>";
while($d_row = mysql_fetch_assoc($d_sql)){
echo "<option value='1:".$d_row["id"]."'>Рекламная площадка №".$d_row["id"]."</option>";
}
}
$p_sql = mysql_query("SELECT `id` FROM `seo_paymails` WHERE `fromid`='$iduser'") or die(mysql_error());
if(mysql_num_rows($p_sql) > 0){
echo "<option disabled='disabled'>Письма</option>";
while($p_row = mysql_fetch_assoc($p_sql)){
echo "<option value='2:".$p_row["id"]."'>Рекламная площадка №".$p_row["id"]."</option>";
}
}
$z_sql = mysql_query("SELECT `id` FROM `seo_tasks` WHERE `fromid`='$iduser'  AND `id`<>'".$row["id"]."'") or die(mysql_error());
if(mysql_num_rows($z_sql) > 0){ 
echo "<option disabled='disabled'>Задания</option>";
while($z_row = mysql_fetch_assoc($z_sql)){
echo "<option value='3:".$z_row["id"]."'>Рекламная площадка №".$z_row["id"]."</option>";
}
}
$k_sql = mysql_query("SELECT `id` FROM `tb_statlinks` WHERE `fromus`='$iduser'") or die(mysql_error());
if(mysql_num_rows($k_sql) > 0){
echo "<option disabled='disabled'>Контекстная реклама</option>";
while($k_row = mysql_fetch_assoc($k_sql)){
echo "<option value='4:".$k_row["id"]."'>Рекламная площадка №".$k_row["id"]."</option>";
}
}
$b_sql = mysql_query("SELECT `id` FROM `tb_advban` WHERE `fromus`='$iduser'") or die(mysql_error());
if(mysql_num_rows($b_sql) > 0){
echo "<option disabled='disabled'>Баннеры</option>";
while($b_row = mysql_fetch_assoc($b_sql)){
echo "<option value='5:".$b_row["id"]."'>Рекламная площадка №".$b_row["id"]."</option>";
}
}
?>	 
	 </select></div>
	 </td>
	 </tr>
	</table>
<?PHP } ?>
